package webstartjpatest;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
    
    private static EntityManagerFactory emf =
            Persistence.createEntityManagerFactory("MySQL-PU");
            //Persistence.createEntityManagerFactory("PostgreSQL-PU");
            //Persistence.createEntityManagerFactory("Derby-PU");
    
    public Main() {
    }
    
    public static void main(String[] args) {
        
        Main app = new Main();
        TestEntity testEntity = new TestEntity();
        app.persist(testEntity);
        
    }
    
    public void persist(Object object) {
        EntityManager em = emf.createEntityManager();
        em.getTransaction().begin();
        try {
            em.persist(object);
            em.getTransaction().commit();
        } catch (Exception e) {
            e.printStackTrace();
            em.getTransaction().rollback();
        } finally {
            em.close();
        }
    }
    
}
